GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
demangle_for_lookup_info Struct Referencefinal

`#include "symtab.h"`

## Public Member Functions
| demangle_for_lookup_info (const lookup_name_info &lookup_name, language lang)
const std::string & | lookup_name () const

## Private Attributes
std::string | m_demangled_name

## Detailed Description

Definition at line 152 of file symtab.h.

## Constructor & Destructor Documentation

## ◆ demangle_for_lookup_info()

demangle_for_lookup_info::demangle_for_lookup_info | ( | const lookup_name_info & | lookup_name,
|  | language | lang
| ) |  |

Definition at line 1765 of file symtab.c.

References lookup_name_info::completion_mode(), cp_remove_params_if_any(), demangle_for_lookup(), lookup_name_info::ignore_parameters(), language_cplus, lookup_name_info::match_type(), lookup_name_info::name(), and SEARCH_NAME.

## Member Function Documentation

## ◆ lookup_name()

const std::string& demangle_for_lookup_info::lookup_name | ( |  | ) | const
| inline

Definition at line 159 of file symtab.h.

References m_demangled_name.

Referenced by cp_fq_symbol_name_matches(), cp_symbol_name_matches(), mapped_index_base::find_name_components_bounds(), and lookup_name_info::language_lookup_name().

## Member Data Documentation

## ◆ m_demangled_name

std::string demangle_for_lookup_info::m_demangled_name
| private

Definition at line 164 of file symtab.h.

Referenced by lookup_name().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/symtab.h
- /tmp/gdb-8.1/gdb/symtab.c